- AnsibleFest
- Products
- Community
- Webinars & Training
- Blog

Documentation

# purefb_s3acc – Create or delete FlashBlade Object Store accounts

New in version 2.8.

- Synopsis
- Requirements
- Parameters
- Notes
- Examples
- Status

## Synopsis

- Create or delete object store accounts on a Pure Storage FlashBlade.

## Requirements

The below requirements are needed on the host that executes this module.

- python >= 2.7
- purity_fb >= 1.1

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---
api_token string |  | FlashBlade API token for admin privileged user.
fb_url string |  | FlashBlade management IP address or Hostname.
name string |  | The name of object store account
state string | Choices: absent present ← | Create or delete object store account

## Notes

Note

- This module requires the `purity_fb` Python library
- You must set `PUREFB_URL` and `PUREFB_API` environment variables if fb_url and api_token arguments are not passed to the module directly

## Examples

    - name: Create object store account foo
      purefb_s3acc:
        name: foo
        fb_url: 10.10.10.2
        api_token: e31060a7-21fc-e277-6240-25983c6c4592

    - name: Delete object store account foo
      purefb_s3acc:
        name: foo
        state: absent
        fb_url: 10.10.10.2
        api_token: e31060a7-21fc-e277-6240-25983c6c4592

## Status

- This module is not guaranteed to have a backwards compatible interface. [preview]
- This module is maintained by the Ansible Community. [community]

### Authors

- Pure Storage Ansible Team (@sdodsley) <pure-ansible-team@purestorage.com>

Hint

If you notice any issues in this documentation, you can edit this document to improve it.